Bug 767545 - [7235e5b1af090ffc9d87ac59daadf7926433b495] gluster volume statedump volname not working
[7235e5b1af090ffc9d87ac59daadf7926433b495] gluster volume statedump volname n...
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vinayaga Raman
Depends On:
Blocks: 817967
  Show dependency treegraph
Reported: 2011-12-14 05:43 EST by Rahul C S
Modified: 2014-03-30 21:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions: 1f3a0dd4742a2fcd3215aee4a5e22125d7ea4f4d
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2011-12-14 05:43:44 EST
Description of problem:
gluster volume statedump <volname> does not do statedump of the bricks.
when u give argument to this it works. 

For ex: gluster volume statedump <volname> all 
does statedump of all the bricks.

By default if no argument is given, it should perform the statedump of all the bricks.
Comment 1 Anand Avati 2011-12-19 11:49:40 EST
CHANGE: http://review.gluster.com/799 (Default option to be set to "all" if no option is given to volume statedump cli command.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Rahul C S 2012-04-05 02:38:32 EDT
Default option is all & when the statedump operation is issued, performs the statedump for all bricks.

Note You need to log in before you can comment on or make changes to this bug.